Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.stylesheet
Interface CssPropertyPeer

All Known Implementing Classes:
  AbstractCssPropertyPeer, AlignmentPeer, BooleanPeer, BorderPeer, BytePeer, CharacterPeer, ColorPeer, DoublePeer, ExtentPeer, FillImagePeer, FloatPeer, FontPeer, ImageReferencePeer, InsetsPeer, IntegerPeer, LocalePeer, LongPeer, NumberPeer, ShortPeer, StringPeer, TypefacePeer

    public interface CssPropertyPeer

`CssValuePeer` is an interfaced used to convert CSS property value strings into specific Java objects and vice versa.

Method Summary
`java.lang.Object` | `getJavaObject(java.lang.ClassLoader classLoader, java.lang.Class objectClass, java.lang.String propertyValue, int lineNo)` This method is called to convert the CSS string value into a specific Java object.
`java.lang.String` | `getStyleString(java.lang.ClassLoader classLoader, java.lang.Class objectClass, java.lang.Object propertyValue)` This is called to convert a current Java object into a CSS property value string.

Method Detail

### getJavaObject

    java.lang.Object getJavaObject(java.lang.ClassLoader classLoader,
                                   java.lang.Class objectClass,
                                   java.lang.String propertyValue,
                                   int lineNo)
                                   throws CssInvalidValueException

  This method is called to convert the CSS string value into a specific Java object.

  Parameters:
    `classLoader` - - the class loader in use
    `objectClass` - - the current object class in question
    `propertyValue` - - the CSS value string
    `lineNo` - - the line no within the parsed CSS input
  Returns:
    a specific Object of the correct type
  Throws:
    `CssInvalidValueException` - - if the value cannot be converted.

### getStyleString

    java.lang.String getStyleString(java.lang.ClassLoader classLoader,
                                    java.lang.Class objectClass,
                                    java.lang.Object propertyValue)

  This is called to convert a current Java object into a CSS property value string.

  Parameters:
    `classLoader` - - the class loader in use
    `objectClass` - - the current object class in question
    `propertyValue` - - the CSS value string
  Returns:
    a string in the right Css property value string format

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD